Bug 1948624 - atop service doesn't parse options correctly on RHEL7
Summary: atop service doesn't parse options correctly on RHEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: atop
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-12 16:10 UTC by Frank Hirtz
Modified: 2021-04-29 01:36 UTC (History)
1 user (show)

Fixed In Version: atop-2.6.0-6.fc33 atop-2.6.0-6.fc32 atop-2.6.0-6.fc34 atop-2.6.0-6.el8 atop-2.6.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 21:41:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Hirtz 2021-04-12 16:10:08 UTC
Description of problem:

On RHEL7, if we set an interval in '/etc/sysconfig/atop' it doesn't get parsed properly and we only get one sample. This can be corrected with a fairly simple modification to the service file. Upstream has the following patch:


https://github.com/Atoptool/atop/commit/9cb119713b5e6be43671fe1856fb4bd49ff91fa7

Interestingly RHEL8 works regardless so apparently something parses differently, but this patch corrects the issue regardless.

Version-Release number of selected component (if applicable):
atop-2.6.0-5.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set variables in "/etc/sysconfig/atop".

[root@lab-rhel7-2 atop]# cat /etc/sysconfig/atop
CURDAY=`date +%Y%m%d`
LOGPATH=/var/log/atop
BINPATH=/usr/bin
PIDFILE=/var/run/atop.pid
LOGINTERVAL=60
LOGGENERATIONS=28


2. Start service
3. Give it a bit and verify that we only take the first sample:

[root@lab-rhel7-2 atop]# date
Mon Apr 12 12:08:17 EDT 2021
[root@lab-rhel7-2 atop]# ps ax | grep atop | grep -v grep
 8202 ?        S<Ls   0:00 /usr/bin/atop  -w /var/log/atop/atop_20210412 60
[root@lab-rhel7-2 atop]# ls -l 
total 16
-rw-r--r--. 1 root root 12375 Apr 12 12:01 atop_20210412
[root@lab-rhel7-2 atop]# atop -r atop_20210412 | grep ATOP 
ATOP - lab-rhel7-2  2021/04/12  12:01:09  ----------------   2d21h20m10s elapsed

Additional info:

Comment 1 Fedora Update System 2021-04-13 13:42:48 UTC
FEDORA-EPEL-2021-76dc640120 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-76dc640120

Comment 2 Fedora Update System 2021-04-13 13:42:52 UTC
FEDORA-EPEL-2021-667b444f64 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-667b444f64

Comment 3 Fedora Update System 2021-04-13 13:42:54 UTC
FEDORA-2021-9f7491e4a7 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9f7491e4a7

Comment 4 Fedora Update System 2021-04-13 13:42:57 UTC
FEDORA-2021-01bf42fd5c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-01bf42fd5c

Comment 5 Fedora Update System 2021-04-13 13:43:01 UTC
FEDORA-2021-db5b54a405 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-db5b54a405

Comment 6 Fedora Update System 2021-04-13 20:48:02 UTC
FEDORA-2021-db5b54a405 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-db5b54a405`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-db5b54a405

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-04-14 15:14:28 UTC
FEDORA-2021-9f7491e4a7 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9f7491e4a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9f7491e4a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-14 15:23:55 UTC
FEDORA-EPEL-2021-667b444f64 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-667b444f64

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-14 15:26:55 UTC
FEDORA-EPEL-2021-76dc640120 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-76dc640120

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-14 15:35:09 UTC
FEDORA-2021-01bf42fd5c has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-01bf42fd5c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-01bf42fd5c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-04-21 21:41:14 UTC
FEDORA-2021-9f7491e4a7 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-04-21 21:48:46 UTC
FEDORA-2021-01bf42fd5c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-04-24 20:11:22 UTC
FEDORA-2021-db5b54a405 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-04-29 01:17:40 UTC
FEDORA-EPEL-2021-667b444f64 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-04-29 01:36:41 UTC
FEDORA-EPEL-2021-76dc640120 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.